package com.mortals.xhx.module.window.model;

import java.util.List;
import com.mortals.xhx.module.window.model.WindowOwnerDetailEntity;
/**
* 窗口负责人详细查询对象
*
* @author zxfei
* @date 2023-07-12
*/
public class WindowOwnerDetailQuery extends WindowOwnerDetailEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 负责人Id */
    private Long ownerIdStart;

    /** 结束 负责人Id */
    private Long ownerIdEnd;

    /** 增加 负责人Id */
    private Long ownerIdIncrement;

    /** 负责人Id列表 */
    private List <Long> ownerIdList;

    /** 负责人Id排除列表 */
    private List <Long> ownerIdNotList;

    /** 开始 员工id号 */
    private Long staffIdStart;

    /** 结束 员工id号 */
    private Long staffIdEnd;

    /** 增加 员工id号 */
    private Long staffIdIncrement;

    /** 员工id号列表 */
    private List <Long> staffIdList;

    /** 员工id号排除列表 */
    private List <Long> staffIdNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowOwnerDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowOwnerDetailQuery> andConditionList;

    public WindowOwnerDetailQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 负责人Id
    * @return ownerIdStart
    */
    public Long getOwnerIdStart(){
        return this.ownerIdStart;
    }

    /**
    * 设置 开始 负责人Id
    * @param ownerIdStart
    */
    public void setOwnerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
    }

    /**
    * 获取 结束 负责人Id
    * @return $ownerIdEnd
    */
    public Long getOwnerIdEnd(){
        return this.ownerIdEnd;
    }

    /**
    * 设置 结束 负责人Id
    * @param ownerIdEnd
    */
    public void setOwnerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
    }

    /**
    * 获取 增加 负责人Id
    * @return ownerIdIncrement
    */
    public Long getOwnerIdIncrement(){
        return this.ownerIdIncrement;
    }

    /**
    * 设置 增加 负责人Id
    * @param ownerIdIncrement
    */
    public void setOwnerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
    }

    /**
    * 获取 负责人Id
    * @return ownerIdList
    */
    public List<Long> getOwnerIdList(){
        return this.ownerIdList;
    }

    /**
    * 设置 负责人Id
    * @param ownerIdList
    */
    public void setOwnerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
    }

    /**
    * 获取 负责人Id
    * @return ownerIdNotList
    */
    public List<Long> getOwnerIdNotList(){
        return this.ownerIdNotList;
    }

    /**
    * 设置 负责人Id
    * @param ownerIdNotList
    */
    public void setOwnerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
    }


    /**
    * 获取 开始 员工id号
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工id号
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工id号
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工id号
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工id号
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工id号
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工id号
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工id号
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工id号
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工id号
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public WindowOwnerDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public WindowOwnerDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public WindowOwnerDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public WindowOwnerDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public WindowOwnerDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public WindowOwnerDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  负责人Id
    * @param ownerId
    */
    public WindowOwnerDetailQuery ownerId(Long ownerId){
	    setOwnerId(ownerId);
		return this;
    }
	
	 /**
    * 设置 开始 负责人Id
    * @param ownerIdStart
    */
    public WindowOwnerDetailQuery ownerIdStart(Long ownerIdStart){
		this.ownerIdStart = ownerIdStart;
		return this;
    }

    /**
    * 设置 结束 负责人Id
    * @param ownerIdEnd
    */
    public WindowOwnerDetailQuery ownerIdEnd(Long ownerIdEnd){
		this.ownerIdEnd = ownerIdEnd;
		return this;
    }

    /**
    * 设置 增加 负责人Id
    * @param ownerIdIncrement
    */
    public WindowOwnerDetailQuery ownerIdIncrement(Long ownerIdIncrement){
		this.ownerIdIncrement = ownerIdIncrement;
		return this;
    }

    /**
    * 设置 负责人Id
    * @param ownerIdList
    */
    public WindowOwnerDetailQuery ownerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
		return this;
        }

        /**
        * 设置 负责人Id
        * @param ownerIdNotList
        */
        public WindowOwnerDetailQuery ownerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
        return this;
        }

    /**
    * 设置  员工id号
    * @param staffId
    */
    public WindowOwnerDetailQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工id号
    * @param staffIdStart
    */
    public WindowOwnerDetailQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工id号
    * @param staffIdEnd
    */
    public WindowOwnerDetailQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工id号
    * @param staffIdIncrement
    */
    public WindowOwnerDetailQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工id号
    * @param staffIdList
    */
    public WindowOwnerDetailQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工id号
        * @param staffIdNotList
        */
        public WindowOwnerDetailQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public WindowOwnerDetailQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public WindowOwnerDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public WindowOwnerDetailQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public WindowOwnerDetailQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public WindowOwnerDetailQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public WindowOwnerDetailQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public WindowOwnerDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public WindowOwnerDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public WindowOwnerDetailQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public WindowOwnerDetailQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public WindowOwnerDetailQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public WindowOwnerDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public WindowOwnerDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public WindowOwnerDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<WindowOwnerDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<WindowOwnerDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<WindowOwnerDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<WindowOwnerDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}